Page MenuHomeVyOS Platform

show vpn debug detail : comand not found
Closed, ResolvedPublicBUG

Description

vyos@vyos:~$ show vpn debug detail
sudo: /usr/lib/ipsec/barf: command not found

Maybe "barf" is an old pluto based debug command... from strongswan 4

Details

Difficulty level
Normal (likely a few hours)
Version
999.201705072137
Why the issue appeared?
Implementation mistake

Event Timeline

csszep created this task.May 8 2017, 8:52 AM
csszep updated the task description. (Show Details)
JulesT added a subscriber: JulesT.Jul 3 2017, 2:17 PM

Indeed. Looking at the original script, it looks to aggregate config and log entries into a big pile of output, presumably so that somebody can attempt to diagnose it in a support sense.

It looks like the 'barf' script could be re-implemented, but given it's no longer supplied by strongswan in any guise, as far as I can tell, is it actually worth implementing? Can I suggest we simply remove the command, or have it alias for straight 'show vpn debug', which looks to call 'ipsec statusall', and just return that.

pasik added a subscriber: pasik.Oct 27 2017, 10:03 PM
syncer assigned this task to c-po.Oct 13 2018, 10:45 AM
syncer edited projects, added VyOS 1.2 Crux (VyOS 1.2.0-rc4); removed VyOS 1.2 Crux.
syncer changed the subtype of this task from "Task" to "Bug".Oct 20 2018, 4:51 AM
c-po added a subscriber: syncer.Oct 20 2018, 9:19 PM

oth deletion and alias is ok for me. @syncer?

dmbaturin closed this task as Resolved.Nov 5 2018, 12:26 AM
dmbaturin claimed this task.
dmbaturin added a subscriber: c-po.